Download it now!
Bug 120774 - kde5: Rearranging Impress slides via drag'n'drop not always working as expected
Summary: kde5: Rearranging Impress slides via drag'n'drop not always working as expected
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 07:43 UTC by Michael Weghorn
Modified: 2019-06-03 22:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample presentation (10.77 KB, application/vnd.oasis.opendocument.presentation)
2018-10-22 07:43 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-22 07:43:07 UTC
Created attachment 145894 [details]
sample presentation

Version: 6.2.0.0.alpha0+
Build ID: 27b0d7237a7e2f32897fa52820c3aa382f6683e9
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

This is specific to the qt5/kde5 VCL plugins. It works e.g. with gtk3.

Steps to reproduce:

1) open attached sample presentation (or use your own one that has multiples slides)
2) in the "Slides" sidebar, left-click on the fourth slide, keep mouse button pressed
3) drag the mouse between the second and third slide and release the mouse button

Result: The fourth slide is moved to the beginning, i.e. in front of the first slide.

Expected result: The fourth slide should be moved in between the second and third slide, i.e. it should become the new third slide.

Side notes:

* There's other scenarios where trying to rearrange the slides results in different unexpected behaviour, e.g. slides getting lost or being copied.
* gtk3 has the nice feature of showing an icon of how many slides would be inserted when dragging. That would be nice for kde5 as well, but this is not what this bug report is for.
Comment 1 Xisco Faulí 2018-10-23 00:00:22 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 2 Commit Notification 2019-03-04 13:41:50 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8643f6d64d387ebdb75b79db941d8ea1f8fa2f66%5E%21

tdf#120774: remove 7-year-old workaround of now non-existent bug

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Katarina Behrens (Inactive) 2019-03-04 14:10:41 UTC
I fixed this by removing a workaround of an issue that exists only in kde4 (aka bug 42996) kde5's implementation of drag'n'drop is new and entirely different and doesn't play well with that workaround, much like OS X (see bug 51023, the brokeness described there and here is almost the same)

Unfortunately it makes this fix un-6.2-able because kde4 is obsoleted only from 6.3 on. Iow we still need fix of bug 42966 around as long as kde4 is around. 

Or perhaps it can be done, but the price to pay for that is more butt-ugly irritating #ifdefs
Comment 4 Katarina Behrens (Inactive) 2019-03-04 14:13:43 UTC
bug 41996, sry
Comment 5 Michael Weghorn 2019-03-04 15:43:45 UTC
Verified that the issue for the described steps is fixed with

Version: 6.3.0.0.alpha0+
Build ID: 8643f6d64d387ebdb75b79db941d8ea1f8fa2f66
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

and also this works now:

> * gtk3 has the nice feature of showing an icon of how many slides would be
> inserted when dragging. That would be nice for kde5 as well, but this is not
> what this bug report is for.


Unfortunately, this is still true:

> * There's other scenarios where trying to rearrange the slides results in
> different unexpected behaviour, e.g. slides getting lost or being copied.

Slides still get lost occasionally and non-reproducibly and I get a crash from time to time (the latter also happens with gtk3). Both of these issues can also be reproduced without the fix for this bug.
Both things happen when I just keep repeating steps 2 and 3 from the initial description in a loop. - But that's not what this bug report was for.
Comment 6 Vera Blagoveschenskaya 2019-03-05 07:37:31 UTC
(In reply to Michael Weghorn from comment #5)

> Unfortunately, this is still true:
> 
> > * There's other scenarios where trying to rearrange the slides results in
> > different unexpected behaviour, e.g. slides getting lost or being copied.
> 
> Slides still get lost occasionally and non-reproducibly and I get a crash
> from time to time (the latter also happens with gtk3). Both of these issues
> can also be reproduced without the fix for this bug.
> Both things happen when I just keep repeating steps 2 and 3 from the initial
> description in a loop. - But that's not what this bug report was for.

Hello all!
I also catch a crash and also slides disappear!
https://bugs.documentfoundation.org/show_bug.cgi?id=123859
Comment 7 Michael Weghorn 2019-03-05 07:44:55 UTC
(In reply to Vera Blagoveschenskaya from comment #6)
> Hello all!
> I also catch a crash and also slides disappear!
> https://bugs.documentfoundation.org/show_bug.cgi?id=123859

Thanks for opening this follow-up bug report!
Comment 8 Commit Notification 2019-06-03 22:57:16 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/901a356a4e2ce7b598fb600025baa1c09267a2bc%5E%21

tdf#120774: in 6.2, restrict workaround to kde4 vclplug only

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.